summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--tests/Makefile.am1
-rwxr-xr-xtests/y2038-vs-32-bit13
2 files changed, 14 insertions, 0 deletions
diff --git a/tests/Makefile.am b/tests/Makefile.am
index f195c8da..c9376b19 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -183,6 +183,7 @@ TESTS = \
word-multi-file \
word-multibyte \
write-error-msg \
+ y2038-vs-32-bit \
yesno \
z-anchor-newline
diff --git a/tests/y2038-vs-32-bit b/tests/y2038-vs-32-bit
new file mode 100755
index 00000000..374f855a
--- /dev/null
+++ b/tests/y2038-vs-32-bit
@@ -0,0 +1,13 @@
+#!/bin/sh
+# This would fail with grep-3.9 and 3.10 on 32-bit ARM and x86 hosts.
+. "${srcdir=.}/init.sh"; path_prepend_ ../src
+
+fail=0
+
+echo text > in || framework_failure_
+touch -t 203901010000 in || framework_failure_
+grep t in > out 2> err || fail=1
+compare in out || fail=1
+compare /dev/null err || fail=1
+
+Exit $fail